Subject: Re: [BUG BISECTED] boot hangs while bringing up gianfar ethernet

From: Jarek Poplawski <[email-masked]>
Date: Mon, 9 Feb 2009 13:54:56 +0000

On Mon, Feb 09, 2009 at 02:36:15PM +0100, Peter Korsgaard wrote:
> >>>>> "Jarek" == Jarek Poplawski <[email-masked]> writes:
> 
>  Jarek> Ira Snyder wrote, On 01/29/2009 08:41 PM:
>  >> Hello,
>  >> 
>  >> I'm working on a Freescale MPC8349EMDS board. I have been booting it
>  >> over NFS for a long time now. I try to run the latest git kernels to
>  >> find possible problems.
>  >> 
>  >> Recently, I haven't been able to boot over NFS anymore. When the machine
>  >> tries to bring up the ethernet interface, it just hangs forever. There
>  >> are no softlockup warnings, the machine has locked up completely.
>  >> 
>  >> Here is the commit I bisected it down to. I tried running git revert,
>  >> but there have been other changes which prevent an easy revert.
>  >> 
>  >> After building each kernel, I compiled and used the dts file from that
>  >> kernel. There shouldn't be any conflicts there.
> 
>  Jarek> Hi,
> 
>  Jarek> Could you try this patch?
> 
> Solves the problem for me - Thanks. I'm not familar enough with the hw
> to know if's the right fix, but it certainly fixes the nfsboot issue
> for me.

I guess a few more familiar eyes will have a look at it yet, but let's
wait for Ira first.

Thanks very much for testing,
Jarek P.